Bug Hunting Session
Bug 108928 (branding) - Branding for 6.0
Summary: Branding for 6.0
Status: RESOLVED FIXED
Alias: branding
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.0.0
Keywords: needsUXEval
Depends on: 109103
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-03 13:37 UTC by Heiko Tietze
Modified: 2017-12-23 20:06 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Hexagons (73.22 KB, application/vnd.oasis.opendocument.graphics-flat-xml)
2017-07-03 13:42 UTC, Heiko Tietze
Details
unique names for Navigator (73.48 KB, application/vnd.oasis.opendocument.graphics-flat-xml)
2017-07-03 16:31 UTC, Regina Henschel
Details
hexagons replaced with true cubes (57.79 KB, application/vnd.oasis.opendocument.graphics-flat-xml)
2017-07-03 22:18 UTC, Regina Henschel
Details
Initial proposal (291.05 KB, application/x-zip-compressed)
2017-07-04 14:49 UTC, Heiko Tietze
Details
Initial proposal - 2nd try (1.24 MB, application/zip)
2017-07-04 19:13 UTC, Heiko Tietze
Details
Real l&f under Windows (104.74 KB, image/png)
2017-07-05 09:50 UTC, Heiko Tietze
Details
Iteration #3 (137.23 KB, application/x-zip-compressed)
2017-07-12 12:48 UTC, Heiko Tietze
Details
Windows installer, 3rd try (73.55 KB, image/png)
2017-08-09 12:40 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2017-07-03 13:37:41 UTC
The 6.0 major release requires a new branding. Input for the motif was done by the community [1] and the voting [2] revealed preferences for design #1. Now we have to implement this design into 

* icon-themes/galaxy/brand/flat_logo.svg
* icon-themes/galaxy/brand/intro.png
* icon-themes/galaxy/brand/shell/about.svg
* icon-themes/galaxy/brand_dev/intro.png
* instsetoo_native/inc_common/windows/msi_templates/Binary/Banner.bmp
* instsetoo_native/inc_common/windows/msi_templates/Binary/Image.bmp
* setup_native/source/packinfo/osxdndinstall.png

[1] https://discourse.opensourcedesign.net/t/branding-libreoffice-6-0/175
[2] https://design.blog.documentfoundation.org/2017/06/16/motif-next-release-prefer/
Comment 1 Heiko Tietze 2017-07-03 13:42:23 UTC
Created attachment 134453 [details]
Hexagons

This version is based on hexagons. Layers allow to hide the "Banner" (left and right bars, white background, which is needed for transparency export to PNG), "Big" (three big cubes), "SmallCubes" (five small cubes), and "Polygons" (the colored bleeding from the bug cubes).
Comment 2 Regina Henschel 2017-07-03 16:31:35 UTC
Created attachment 134460 [details]
unique names for Navigator

I have made the object names unique. Otherwise a double-click in the Navigator will not select the desired object, but the first one with that name.

BTW, there are some unused gradient definitions. Remove them?
Comment 3 Heiko Tietze 2017-07-03 19:04:05 UTC
(In reply to Regina Henschel from comment #2)
> BTW, there are some unused gradient definitions. Remove them?

Sure, remove it (doesn't matter when the image is exported to PNG). I played with green to white gradient, wasn't a good idea. 

But rather you could upload your true cubes. The transparency is quite interesting, and technically such a solution would be more Libreoffice like.
Comment 4 Regina Henschel 2017-07-03 22:18:00 UTC
Created attachment 134467 [details]
hexagons replaced with true cubes

In this version I have replaced the hexagons with true cubes. The cubes have no own emission color, so that they look similar dark as the hexagons.

It is not possible to put objects inside one scene on different layers. Therefore there is only one layer for the 3D-object.
Comment 5 Heiko Tietze 2017-07-04 14:49:58 UTC
Created attachment 134478 [details]
Initial proposal

Submitted the patch https://gerrit.libreoffice.org/39507 with the included artwork. 
_Banner.fodg: Draw source for Banner.bmp
_Image.fodg: Draw source for Image.png
_intro.fodg: Draw source for brand/intro.png and brand_dev/intro.png
_osxdndinstall.fodg: Draw source for osxdndinstall.png

Windows installer files Banner.bmp/Image.png keep the 5.0 style. I had to simulate the realistic shadows by gradients. And turned the dark into bright. No idea if that looks good. The into.png and osxdndinstall.png are based on Regina's cubes while the about.png uses only small hexagons and since ungrouping breaks everything I used my proposal.
Comment 6 Regina Henschel 2017-07-04 15:31:46 UTC
What should be in file 6_about.svg? Currently the content is an empty group.
Comment 7 Heiko Tietze 2017-07-04 18:26:26 UTC
(In reply to Regina Henschel from comment #6)
> What should be in file 6_about.svg? Currently the content is an empty group.

It is the background of the about dialog, which was the gray triangle thing. Keep the file since I'm afraid it is accessed by code.
Comment 8 Heiko Tietze 2017-07-04 19:13:13 UTC
Created attachment 134484 [details]
Initial proposal - 2nd try

Added a white background to into.png, intro_dev.png, and osx*.png

Removed "The Document Foundation" from the logo (see comment at gerrit). That's not correct from the branding POV and due to the fact that I have to vertically center the text with the cubes the design becomes more boring.
Comment 9 Commit Notification 2017-07-04 19:57:04 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e1c89b12c94c06309032250da0ac7c84d3f96bb6

tdf#108928 - Branding for 6.0

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Regina Henschel 2017-07-04 20:04:04 UTC
You have made all big cubes blue in icon-themes/galaxy/brand/intro.png
Is that intended?
Comment 11 Heiko Tietze 2017-07-04 21:35:14 UTC
(In reply to Regina Henschel from comment #10)
> You have made all big cubes blue in icon-themes/galaxy/brand/intro.png
> Is that intended?

Didn't touch it. The 3D option seems to be very weak and error-prone.
Comment 12 Commit Notification 2017-07-04 22:34:31 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8d364889ad1e2b6c5b0a6049afcd4f28e702d66e

tdf#108928 Branding for 6.0

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Heiko Tietze 2017-07-05 09:50:48 UTC
Created attachment 134490 [details]
Real l&f under Windows

Dislike the grey part of the banner in the installer, missed to remove TDF from the About box image, and this image could be larger. And I wonder if we better also go with the green background there.

And eventually I would like to replace the TDF icon with the LibO mascot, once we have it.
Comment 14 Christian Lohmaier 2017-07-05 11:01:54 UTC
remarks:

1) The logo with "The Document Foundation" should not be the one in the sources. It's reserved for the ones allowed to use the trademark.
 (there should be a version with the tagline for the official builds)

2) having "LibreOffice" centered next to the "page" logo is different from 
our own branding guidelines/community logo, and the spacing betwen the logo and the text seems a little off:

https://wiki.documentfoundation.org/Marketing/Branding#Logos


as to what ideally should be provided:

for source:
splash image without "TDF" tagline
splash image without "TDF" tagline with development build (or something similar)

having only the development build variant available for this case would be OK as well I'd say (anyone who provides builds to end-users/customers will likely have their own branding applied).

for releng/not part of source
splash image with TDF tagline
splash image with TDF tagline and development build (or beta/alpha for that matter) - not that critical though.

If the about or e.g. windows installer logo also include the official logo, same thing applies: In source without TDF tagline, but for releng version with tagline.
Comment 15 Dave Barton 2017-07-05 12:31:15 UTC
(In reply to Heiko Tietze from comment #13).
> 
> And eventually I would like to replace the TDF icon with the LibO mascot,
> once we have it.

A definite -1 for this.
The icon is the official and widely recognized TDF/LO identification.
Put your mascot cartoon anywhere you please, but leave the TDF/LO icon alone.
Comment 16 Heiko Tietze 2017-07-05 12:51:23 UTC
(In reply to Dave Barton from comment #15)
> A definite -1 for this.

TDF != LibreOffice, so why should we keep the icon (without the text violating the branding guideline)?
Comment 17 Dave Barton 2017-07-05 13:22:22 UTC
(In reply to Heiko Tietze from comment #16)
> (In reply to Dave Barton from comment #15)
> > A definite -1 for this.
> 
> TDF != LibreOffice, so why should we keep the icon (without the text
> violating the branding guideline)?

Your use of the != is incorrect, TDF administer LibreOffice, therefor the two are interrelated. I made no reference to text, so why do mention it in reply to me?
Show the icon to anyone who has ever had any contact with TDF or LO and they immediately identify it as representing one or the other. Oracle's refusal to join us or donate the OOo brand/domain, meant that TDF/LO started out "on the back foot" in terms of brand recognition. We have spent years building up our brand recognition, so let's not waste that effort by removing one of the main things that gives us that identity, for no other reason than making changes, just for the sake of change.
Comment 18 Heiko Tietze 2017-07-12 12:48:19 UTC
Created attachment 134604 [details]
Iteration #3

The next iteration improves the alignment of brand name with the (slightly pitched) motif from 6.0. It also has now transparency instead of a white background. Let's see how that works on dark themes.
The image in the about box is not larger and without the surrounding bars. Also the Windows installer banner has been cleaned-up.

https://gerrit.libreoffice.org/#/c/39861/

(Will push it later to master)
Comment 19 Commit Notification 2017-07-12 14:28:48 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0a7fe0ab0b5b18cfbf1d9f7971d851fe00b6d36a

tdf#108928 Branding 6.0

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2017-07-19 14:15:25 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=756662033e348ea42019ac6af799e23dc9896b92

tdf#108928 Branding 6.0

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 V Stuart Foote 2017-07-21 17:57:47 UTC
@Heiko, * 

Noticed with recent Windows builds of master, that the loading progress bar has shifted positing into the middle of the banner. Not sure if that was from resizing the banner, or if the anchor has shifted.
Comment 22 Heiko Tietze 2017-07-21 18:19:04 UTC
(In reply to V Stuart Foote from comment #21)
> Noticed with recent Windows builds of master, that the loading progress bar
> has shifted positing into the middle of the banner. Not sure if that was
> from resizing the banner, or if the anchor has shifted.

That was my fault. Will resize the banner next week.
Comment 23 Xavier Van Wijmeersch 2017-07-22 13:51:49 UTC
@Heiko, * 

Noticed with recent Linux builds of master, that the loading progress bar has shifted positing into the middle of the banner.
Comment 24 Commit Notification 2017-07-25 18:16:17 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=987f8824b4f229590b54b11482da431d451412f1

tdf#108928 Branding 6.0

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2017-08-08 13:44:55 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e0c22825fab0576e9897fd007b12e40b2310423f

tdf#108928 Branding

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 Heiko Tietze 2017-08-09 12:40:02 UTC
Created attachment 135341 [details]
Windows installer, 3rd try